Uploaded image for project: 'OpenMRS SDK'
  1. OpenMRS SDK
  2. SDK-206

Updating openmrs version is a distribution needs to update the server

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Must
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.9.0
    • Component/s: None
    • Labels:
      None
    • Complexity:
      Undetermined

      Description

      Recently, I tried to upgrade one of my existing servers from using OpenMRS 1.9.9 to 1.9.11

      I changed this in my distribution pom and ran a deploy, and was asked and confirmed whether I wanted to update OpenMRS from 1.9.9 to 1.9.11. When this finished, I saw that the 1.9.11 war was correctly sitting in my server's top level folder.

      However, when I fired this server up, the old 1.9.9 war file was still loaded.

      What I found was that I needed to go and manually delete the tmp/openmrs directory before starting the server, in order for this directory to be re-created from the new war file.

      A fix should be applied such that this manual step is not needed, and that the tmp/openmrs directory is deleted and/or recreated from the new war file automatically.

        Gliffy Diagrams

          Attachments

            Activity

              People

              Assignee:
              tmarzeion Tomasz Marzeion
              Reporter:
              mseaton Mike Seaton
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 4 hours
                  4h
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 4 hours
                  4h